package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 会议结束方式(0.自动结束,1.手动结束)枚举类
*
* @author zxfei
*/
public enum FinishMethodEnum {
    自动结束(0, "自动结束"),
    手动结束(1, "手动结束");
    private Integer value;
    private String desc;

    FinishMethodEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FinishMethodEnum getByValue(Integer value) {
        for (FinishMethodEnum finishMethodEnum : FinishMethodEnum.values()) {
            if (finishMethodEnum.getValue() == value) {
                return finishMethodEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FinishMethodEnum item : FinishMethodEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}